#include <unistd.h>
#include <sys/types.h>
#include <signal.h>
#include <X11/Xos.h>

typedef struct _PixmapNode {
        char *filename;
        Pixmap pixmap;
	Pixmap mask;
        int usage;
        struct _PixmapNode *next;
} PixmapNode;

typedef struct _pixmaplist{
        int n_entries;
        struct _PixmapNode *first;
        struct _PixmapNode *last;
} pixmaplist;

pixmaplist PixList;
struct sigaction new;
struct sigaction old;
int playing;
int soundpid;
extern Pixmap *InsertPixmap();
extern Pixmap *GetMask();
extern void PlaySound();

#define AUDIO_DEVICE "/dev/audio"
